0

Here is the error message:

ILocalize::AddFile() failed to load file "public/steambootstrapper_english.txt".
[2017-02-14 16:35:18] Startup - updater built Jun 16 2014 11:16:02
Xlib:  extension "NV-GLX" missing on display ":0".
SteamUpdateUI: An X Error occurred
X Error of failed request:  BadValue (integer parameter out of range for operation)
steam
0

First try:

sudo add-apt-repository multiverse
sudo apt update && sudo apt install steam

then should run steam.

If it´s not the problem try this thread posted by sejvenables. Maybe can help you.

0

Manually download and install the latest Steam .deb from their site (http://store.steampowered.com/about). This worked when I installed Steam on my desktop a couple of weeks ago.

Not the answer you're looking for? Browse other questions tagged or ask your own question.